Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.drools.planner.api.domain.entity
Annotation Type PlanningEntity

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface PlanningEntity

Specifies that the class is a planning entity. Each planning entity must have at least 1 `PlanningVariable` property.

The class should have a public no-arg constructor, so it can be instantiated by Drools Planner.

Optional Element Summary
`Class<? extends Comparator>` | `difficultyComparatorClass` Allows a collection of planning entities to be sorted by difficulty.
`Class<? extends PlanningEntityDifficultyWeightFactory>` | `difficultyWeightFactoryClass` Allows a collection of planning entities to be sorted by difficulty.

### difficultyComparatorClass

    public abstract Class<? extends Comparator> difficultyComparatorClass

  Allows a collection of planning entities to be sorted by difficulty.

  Do not use together with `difficultyWeightFactoryClass()`.

  Returns:
    `PlanningEntity.NullDifficultyComparator` when it is null (workaround for annotation limitation)
  Default:
    org.drools.planner.api.domain.entity.PlanningEntity.NullDifficultyComparator.class

### difficultyWeightFactoryClass

    public abstract Class<? extends PlanningEntityDifficultyWeightFactory> difficultyWeightFactoryClass

  Allows a collection of planning entities to be sorted by difficulty.

  Do not use together with `difficultyComparatorClass()`.

  Returns:
    `PlanningEntity.NullDifficultyWeightFactory` when it is null (workaround for annotation limitation)
  See Also:
    `PlanningEntityDifficultyWeightFactory`
  Default:
    org.drools.planner.api.domain.entity.PlanningEntity.NullDifficultyWeightFactory.class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.